minetest.register_on_joinplayer(function(player)
    local name = player:get_player_name()
    minetest.show_formspec(name,"Presentation", 
        "size[10,10]"..
        "textarea[0.5,1;9.5,4;;;First i dont speak English,Hello,thanks for test Survivethedays,this is a little game still in WIP version(Work in progress),in this game you must survive during a determinated time,simple,theres some monsters in the " ..
        "world who will trie to kill the player,for the creation of this game i used Blender and Makehuman.]"..
        "label[1,5;Select the difficulty of the game]"..
        "label[3.5,6;The game will be easy.]"..
        "label[3.5,7;For casual players]"..
        "label[3.5,8;For tose wo want a challenge]"..
        "label[3.5,9;For tose .. i better don t say this]"..
        "button_exit[0.5,6;3,1;Easy;Easy]"..
        "button_exit[0.5,7;3,1;Mediun;Mediun]"..
        "button_exit[0.5,8;3,1;Hard;Hard]"..
        "button_exit[0.5,9;3,1;Nigthmare;Nightmare]")
        
end)

minetest.register_on_player_receive_fields(function(player, formname, fields)
    local name = player:get_player_name()
    if formname ~= "Presentation" then
        return
    end

    if fields.Easy then
        minetest.kick_player(name, 'The player has win the game in easy difficulty,that was easy right?')
    end
    minetest.after(1,function(player)
        minetest.show_formspec(name,"Personaje", 
            "size[20,10]"..
            "model[0,0;10,10;'test';character2.obj;character2.png]")
    end)
end)
